Skip to content

Get conditional order status history

GET
/v1/orders/conditionals/{currencyPair}/history

Get all conditional orders for your account per currency pair.

A customerOrderId field will be returned in the response for all those orders that were created with a customerOrderId field.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

A valid currency pair (e.g., BTCUSDTPERP for futures, BTCZAR for spot)

Type
string
Required

Query Parameters

skip

Number of records to skip for pagination

Type
integer
Format
"int32"
limit

Maximum number of records to return

Type
integer
Format
"int32"
startTime

Start time in ISO 8601 format

Type
string
endTime

End time in ISO 8601 format

Type
string
triggeredOnly

If true, return only triggered conditional orders. Default false.

Type
boolean
removedOnly

If true, return only removed conditional orders. Default false.

Type
boolean
failedOnly

If true, return only failed conditional orders. Default false.

Type
boolean

Responses

Conditional order status history retrieved successfully

application/json
JSON
[
{
"orderId": "e281eb8e-c315-4372-a7b6-8c5e5f5eb971",
"triggerOrderSide": "sell",
"triggerOrderType": "limit-reduce-only",
"currencyPair": "AVAXUSDTPERP",
"createdAt": "2024-10-12T03:08:19.060Z",
"updatedAt": "2024-10-12T03:08:19.167Z",
"triggerType": "LAST_TRADED",
"conditionalType": "OT_OCO",
"customerOrderId": "ConditionalByLastTraded",
"orderStatusType": "Placed",
"quantity": "0.2",
"takeProfitTriggerPrice": "44.74",
"takeProfitPlacePrice": "44.8",
"stopLossTriggerPrice": "30.1",
"stopLossPlacePrice": "30",
"linkedOrderId": "5b5ca343-2063-40dd-9c31-840dc72a5aab"
}
]

Playground

Authorization
Variables
Key
Value

Samples